Package org.eclipse.gef.util

# Interface IToolTipHelperFactory

public interface IToolTipHelperFactory
OSGi service used within the `DomainEventDispatcher` to inject a custom `ToolTipHelper`.

Since:
  3.25

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.draw2d.ToolTipHelper`
`create(Control control, EditPartViewer viewer)`
Creates and returns a new `ToolTipHelper` instance.

## Method Details

### create

org.eclipse.draw2d.ToolTipHelper create(Control control, EditPartViewer viewer)
Creates and returns a new `ToolTipHelper` instance. This method may return `null`, if this factory can't create a helper for the given edit-part viewer.

- If multiple services are registered, the first non-null `ToolTipHelper` is used.

- If no `ToolTipHelper` could be created, `SWTEventDispatcher.createToolTipHelper()` is used.

Parameters:
  `control` - The `control` associated with the `DomainEventDispatcher`
  `viewer` - The `viewer` associated with the `DomainEventDispatcher`.
Returns:
  as described.